
<div class="card">
  <div class="card-header">
    You have selected
    <ng-container [ngTemplateOutlet]="counterTmpl"></ng-container>.
  </div>
  <div class="card-body">
    There are <ng-container [ngTemplateOutlet]="counterTmpl"></ng-container> was
    selected.
  </div>
  <div class="card-footer">
    You have selected
    <ng-container [ngTemplateOutlet]="counterTmpl"></ng-container>.
  </div>
</div>

<ng-template #counterTmpl>
  <span class="badge badge-primary">{{ counter }}</span> items
</ng-template>

<!--<app-toggle [(checked)]="questions.question1">-->
<!--  <h3 class="toggle-header">Header 1</h3>-->
<!--  <ng-container ngProjectAs="app-label">-->
<!--    <span>Question 1</span>-->
<!--    <button>SomeBtn</button>-->
<!--  </ng-container>-->
<!--  <span>Some paragraph</span>-->
<!--</app-toggle>-->

<!--<app-toggle [(checked)]="questions.question2">-->
<!--  <h3 class="toggle-header">Header 2</h3>-->
<!--  <span>Some paragraph 2</span>-->
<!--  <label>Question 2</label>-->
<!--</app-toggle>-->

<!--<br/>-->
<!--<br/>-->
<!--<br/>-->
<!--<app-flex flexDirection="column-reverse">-->
<!--  <p>some</p>-->
<!--  <p>thing</p>-->
<!--</app-flex>-->
<!--<br/>-->
<!--<app-author-list></app-author-list>-->
<!--<br/>-->
<!--<app-progress-bar></app-progress-bar>-->
<!--<br/>-->
<!--<app-progress-bar [progress]="currentProgress" [progress-color]="'dodgerblue'"></app-progress-bar>-->
<!--<br/>-->
<!--<button (click)="currentProgress = currentProgress + 1">Increase Progress</button>-->

<!--<app-hello *ngIf="user.age >= 18;else under18" [name]="user.name"></app-hello>-->

<!--<ng-template #under18>-->
<!--  <div>-->
<!--    You are too young to see this content-->
<!--  </div>-->
<!--</ng-template>-->

<!--<button (click)="user.age = user.age - 1">-</button>-->
<!--Age: {{ user.age }}-->
<!--<button (click)="user.age = user.age + 1">+</button>-->

<!--<p>{{ user.name }}</p>-->
<!--<p>{{ user.age }}</p>-->

<!--<input [type]="inputType" [value]="user.name"/>-->

<!--<button type="button" (click)="handler()">Click me!</button>-->
<!--<br />-->
<!--<p>{{ name }}</p>-->
<!--<input type="text"  [(ngModel)]="name"/>-->

<!--<ul>-->
<!--  <li *ngFor="let person of persons;index as idx; count as total; first as isFirst; last as isLast; even as isEven; odd as isOdd;">-->
<!--    <span>{{person.id}} - {{person.name}} - {{person.phone}}</span>-->
<!--    <br/>-->
<!--    <span>at index {{idx}} out of {{total}}</span>-->
<!--    <br/>-->
<!--    <span *ngIf="isEven">I am even number</span>-->
<!--    <br/>-->
<!--    <span *ngIf="isOdd">I am odd number</span>-->
<!--    <br/>-->
<!--    <span *ngIf="isLast">I am last</span>-->
<!--    <br/>-->
<!--    <span *ngIf="isFirst">I am first</span>-->
<!--    <br/>-->
<!--    <br/>-->
<!--  </li>-->
<!--</ul>-->

<!--&lt;!&ndash;<ul>&ndash;&gt;-->
<!--&lt;!&ndash;  <ng-template&ndash;&gt;-->
<!--&lt;!&ndash;    ngFor&ndash;&gt;-->
<!--&lt;!&ndash;    [ngForOf]="persons"&ndash;&gt;-->
<!--&lt;!&ndash;    let-person&ndash;&gt;-->
<!--&lt;!&ndash;    let-idx="index"&ndash;&gt;-->
<!--&lt;!&ndash;    let-total="count"&ndash;&gt;-->
<!--&lt;!&ndash;    let-isFirst="first"&ndash;&gt;-->
<!--&lt;!&ndash;    let-isLast="last"&ndash;&gt;-->
<!--&lt;!&ndash;    let-isEven="even"&ndash;&gt;-->
<!--&lt;!&ndash;    let-isOdd="odd"&ndash;&gt;-->
<!--&lt;!&ndash;  >&ndash;&gt;-->
<!--&lt;!&ndash;    <li>&ndash;&gt;-->
<!--&lt;!&ndash;      <span>{{person.id}} - {{person.name}} - {{person.phone}}</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <span>at index {{idx}} out of {{total}}</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <span *ngIf="isEven">I am even number</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <span *ngIf="isOdd">I am odd number</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <span *ngIf="isLast">I am last</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <span *ngIf="isFirst">I am first</span>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;      <br/>&ndash;&gt;-->
<!--&lt;!&ndash;    </li>&ndash;&gt;-->
<!--&lt;!&ndash;  </ng-template>&ndash;&gt;-->
<!--&lt;!&ndash;</ul>&ndash;&gt;-->

